#include <bits/stdc++.h>
using namespace std;
const int DIM = 36;
long long n,c,q;
long long a[32008];
int main(){
ios_base::sync_with_stdio(0);
cin.tie(0);
cout.tie(0);
cin>>n;

for(int i=1;i<=n;i++){
    cin>>a[i];
}
cout<<1<<endl;
cout<<a[2]<<" "<<a[1];


    return 0;
}
